Shutdown Deployment Elasticsearch Resource

Base URL
https://api.elastic-cloud.com/api/v1
No auth

Shutdown Elasticsearch Resource belonging to a given Deployment.

Path parameters

deployment_id string required

Identifier for the Deployment.

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one).

Query parameters

hide boolean

Hide cluster on shutdown. Hidden clusters are not listed by default. Only applicable for Platform administrators.

skip_snapshot boolean · default: false

If true, will skip taking a snapshot of the cluster before shutting the cluster down (if even possible).

Responses

Standard response.

application/json
Base URL
https://api.elastic-cloud.com/api/v1